Bug 1324306 - snmp response: Too long
Summary: snmp response: Too long
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp
Version: 7.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Josef Ridky
QA Contact: Dalibor Pospíšil
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1315481
Blocks: 1380364 1393870
TreeView+ depends on / blocked
 
Reported: 2016-04-06 05:34 UTC by Mohit Agrawal
Modified: 2017-08-01 15:58 UTC (History)
9 users (show)

Fixed In Version: net-snmp-5.7.2-25.el7
Doc Type: Bug Fix
Doc Text:
SNMP response is no longer timed out Previously, all the Simple Network Management Protocol version 1 (SNMPv1) and SNMPv2c responses that followed an SNMPv3 message were checked against the last recorded SNMPv3 "max message size" property. As a consequence, an SNMPv3 request with a small "max message size" could lead to SNMPv1 and SNMPv2c bulk requests timing out. With this update, the session maximum message size is checked only for SNMPv3 requests, and the SNMPv1 and SNMPv2c response is no longer timed out.
Clone Of: 1315481
: 1428802 (view as bug list)
Environment:
Last Closed: 2017-08-01 15:58:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1863 normal SHIPPED_LIVE net-snmp bug fix update 2017-08-01 17:50:34 UTC

Comment 2 rstory 2016-04-07 11:18:28 UTC
Can we get a little more detail on this issue?

Note: significant work on too big responses has been done and will be in 5.8.

Comment 3 Jan Safranek 2016-04-07 11:27:51 UTC
Robert, it's a request to port this back to RHEL: https://sourceforge.net/p/net-snmp/bugs/2482/. Bugzilla is unnecessarily secretive here.

Comment 10 errata-xmlrpc 2017-08-01 15:58:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1863


Note You need to log in before you can comment on or make changes to this bug.